package com.gic.haoban.manage.service.entity.chat;

import java.util.Date;
import java.io.Serializable;

/**
 * 社群邀请有礼邀请人和受邀人绑定表(TabHaobanGroupChatActivityShareBind)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:58
 */
public class TabGroupChatActivityShareBind implements Serializable {
    private static final long serialVersionUID = -28454620622119889L;
    /**
     * 社群活动邀请id
     */
    private Long chatActivityBindId;
    /**
     * 社群活动id
     */
    private Long chatActivityId;
    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;
    /**
     * 受邀人会员ID
     */
    private String inviteeMemberId;
    /**
     * 受邀人unionID
     */
    private String inviteeUnionId;
    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 微信企业ID
     */
    private String wxEnterpriseId;

    private Date createTime;

    private Date updateTime;

    private Integer deleteFlag;


    public Long getChatActivityBindId() {
        return chatActivityBindId;
    }

    public void setChatActivityBindId(Long chatActivityBindId) {
        this.chatActivityBindId = chatActivityBindId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public String getInviteeUnionId() {
        return inviteeUnionId;
    }

    public void setInviteeUnionId(String inviteeUnionId) {
        this.inviteeUnionId = inviteeUnionId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}

